> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pingmee.co.il/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhooks

> Returns all webhooks for the authenticated account.



## OpenAPI

````yaml GET /webhook
openapi: 3.1.0
info:
  title: Pingmee API
  description: A complete guide to Pingmee micro service architecture.
  version: 1.0.0
servers:
  - url: https://api.pingmee.co.il
security:
  - cookieAuth: []
    ApiKeyAuth: []
paths:
  /webhook:
    get:
      description: Returns all webhooks for the authenticated account.
      responses:
        '200':
          description: List of webhooks
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhooks:
                    type: array
                    items:
                      $ref: '#/components/schemas/Webhook'
                additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
          ApiKeyAuth: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the webhook
        url:
          type: string
          description: Callback URL for webhook events
        event:
          $ref: '#/components/schemas/WebhookEvent'
      additionalProperties: false
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: string
        message:
          type: string
    WebhookEvent:
      type: string
      description: Event type the webhook is subscribed to.
      enum:
        - conversationCreated
        - tagChanged
        - statusChanged
        - messageUpdated
      x-enum-varnames:
        - New Conversation Started
        - Conversation Tags Updated
        - Conversation Status Updated
        - Messages Created
      x-enumDescriptions:
        conversationCreated: New Conversation Started
        tagChanged: Conversation Tags Updated
        statusChanged: Conversation Status Updated
        messageCreated: Messages Created
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: header
      name: Cookie
      description: Personal access token from Pingmee Settings → Developer Tools
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Business API key from Pingmee Settings → Developer Tools
    bearerAuth:
      type: http
      scheme: bearer

````